## systemd 242

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('version-tag', type : 'string',
       description : 'override the git version string')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udev and its helpers to libsystemd-shared.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libsystemd''')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libudev''')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('halt-local', type : 'string',
       value : '/usr/sbin/halt.local')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash', 'udev'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to ULONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable systemd-boot and bootctl')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for ')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for ')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('compat-gateway-hostname', type : 'boolean', value : 'false',
       description : 'allow "gateway" as the symbolic name for default gateway')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
       description : 'default cgroup hierarchy')
option('default-net-naming-scheme', type : 'combo',
       choices : ['latest', 'v238', 'v239', 'v240'],
       description : 'default net.naming-scheme= value')
option('time-epoch', type : 'integer', value : '-1',
       description : 'time epoch for time clients')
option('system-uid-max', type : 'integer', value : '-1',
       description : 'maximum system UID')
option('system-gid-max', type : 'integer', value : '-1',
       description : 'maximum system GID')
option('dynamic-uid-min', type : 'integer', value : 0x0000EF00,
       description : 'minimum dynamic UID')
option('dynamic-uid-max', type : 'integer', value : 0x0000FFEF,
       description : 'maximum dynamic UID')
option('container-uid-base-min', type : 'integer', value : 0x00080000,
       description : 'minimum container UID base')
option('container-uid-base-max', type : 'integer', value : 0x6FFF0000,
       description : 'maximum container UID base')
option('tty-gid', type : 'integer', value : 5,
       description : 'the numeric GID of the "tty" group')
option('users-gid', type : 'integer', value : '-1',
       description : 'the numeric GID of the "users" group')
option('adm-group', type : 'boolean',
       description : 'the ACL for adm group should be added')
option('wheel-group', type : 'boolean',
       description : 'the ACL for wheel group should be added')
option('nobody-user', type : 'string',
       description : 'The name of the nobody user (the one with UID 65534)',
       value : 'nobody')
option('nobody-group', type : 'string',
       description : 'The name of the nobody group (the one with GID 65534)',
       value : 'nobody')
option('dev-kvm-mode', type : 'string', value : '0666',
       description : '/dev/kvm access mode')
option('group-render-mode', type : 'string', value : '0666',
       description : 'Access mode for devices owned by render group (e.g. /dev/dri/renderD*, /dev/kfd).')
option('default-kill-user-processes', type : 'boolean',
       description : 'the default value for KillUserProcesses= setting')
option('gshadow', type : 'boolean',
       description : 'support for shadow group')
option('default-locale', type : 'string', value : '',
       description : 'default locale used when /etc/locale.conf does not exist')

option('default-dnssec', type : 'combo',
       description : 'default DNSSEC mode',
       choices : ['yes', 'allow-downgrade', 'no'],
       value : 'allow-downgrade')
option('default-dns-over-tls', type : 'combo',
       description : 'default DNS-over-TLS mode',
       choices : ['opportunistic', 'no'],
       value : 'no')
option('dns-over-tls', type : 'combo', choices : ['auto', 'gnutls', 'openssl', 'true', 'false'],
       description : 'DNS-over-TLS support')
option('dns-servers', type : 'string',
       description : 'space-separated list of default DNS servers',
       value : '1.1.1.1 8.8.8.8 1.0.0.1 8.8.4.4 2606:4700:4700::1111 2001:4860:4860::8888 2606:4700:4700::1001 2001:4860:4860::8844')
option('ntp-servers', type : 'string',
       description : 'space-separated list of default NTP servers',
       value : 'time1.google.com time2.google.com time3.google.com time4.google.com')
option('support-url', type : 'string',
       description : 'the support URL to show in catalog entries included in systemd',
       value : 'https://lists.freedesktop.org/mailman/listinfo/systemd-devel')
option('www-target', type : 'string',
       description : 'the address and dir to upload docs too',
       value : 'www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd')

option('seccomp', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'SECCOMP support')
option('selinux', type : 'combo', choices : ['auto', 'true', 'false'],

=== debian/changelog ===
systemd (242-8~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Nov 2019 00:38:15 +0100

systemd (242-8) unstable; urgency=medium

  [ Dan Streetman ]
  * d/extra/rules/73-special-net-names.rules: use $$ instead of $ in PROGRAM=
    value.
    Fixes incorrect variable substitution.
  * Rework and improve blacklist handling in debian/tests/upstream

  [ Balint Reczey ]
  * Various improvements to debian/extra/checkout-upstream making it more
    straightforward to override the default behaviour
  * Use package version as systemd's reported version (LP: #1849158)

  [ Michael Biebl]
  * debiant/tests/udev: replace deprecated ADTTMP with AUTOPKGTEST_TMP

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Nov 2019 23:18:00 +0100

systemd (242-7~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
  * Switch debian-branch to buster-backports

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Oct 2019 18:34:27 +0200

systemd (242-7) unstable; urgency=medium

  * sleep: properly pass verb to sleep script
  * core: factor root_directory application out of apply_working_directory.
    Fixes RootDirectory not working when used in combination with User.
    (Closes: #939408)
  * shared/bus-util: drop trusted annotation from
    bus_open_system_watch_bind_with_description().
    This ensures that access controls on systemd-resolved's D-Bus interface
    are enforced properly.
    (CVE-2019-15718, Closes: #939353)

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Sep 2019 19:34:17 +0200

systemd (242-6) unstable; urgency=medium

  [ Dan Streetman ]
  * d/t/control: upstream test requires qemu-system-ppc on ppc64el
  * d/t/control: install seabios for upstream test.
    Some archs (at least arm64) qemu implementation require the vga bios.

  [ Michael Biebl ]
  * Drop unused lintian override
  * network: fix ListenPort= in [WireGuard] section (Closes: #936198)
  * d/e/r/73-usb-net-by-mac.rules: import net.ifnames only for network devices
    (Closes: #934589)
  * d/e/r/73-usb-net-by-mac.rules: skip if iface name was provided by
    user-space
  * Drop dbus activation stub service.
    Since dbus 1.11.0, a dbus-daemon that is run with --systemd-activation
    automatically assumes that o.fd.systemd1 is an activatable service.
    As a result, with a new enough dbus version,
    /usr/share/dbus-1/services/org.freedesktop.systemd1.service and
    /usr/share/dbus-1/system-services/org.freedesktop.systemd1.service
    become unnecessary and can be removed. (Closes: #914015)
  * Revert "core: check start limit on condition checks too"
    If a unit was referenced too often, it hit the restart limit and the
    unit was marked as failed. Fixes a regression introduced in v242.
    (Closes: #935829)

  [ Michael Prokop ]
  * README.Debian: document KillUserProcesses behavior in Debian

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Sep 2019 11:09:07 +0200

systemd (242-5) unstable; urgency=medium

  [ Dan Streetman ]
  * d/rules: add CONFFGLAGS_UPSTREAM to dh_auto_configure -- params

  [ Michael Biebl ]
  * core: never propagate reload failure to service result.
    Fixes a regression introduced in v239 where the main process of a
    service unit gets killed on reload if ExecReload fails. (Closes: #936032)
  * shared/seccomp: add sync_file_range2.
    Some architectures need the arguments to be reordered because of alignment
    issues. Otherwise, it's the same as sync_file_range.
    Fixes sync_file_range failures in nspawn containers on arm, ppc.
    (Closes: #935091)
  * bash-completion: don't sort syslog priorities.
    By default, the available completions are sorted alphabetically, which
    is counterproductive in case of syslog priorities. Override the default
    behavior using the `nosort` option. (Closes: #913222)
  * test-bpf: skip test when run inside containers

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Aug 2019 16:18:18 +0200

systemd (242-4) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Aug 2019 22:09:13 +0200

systemd (242-3) experimental; urgency=medium

  [ Dan Streetman ]
  * d/t/boot-and-services: fix test_failing()
  * d/t/boot-and-services: check for any kernel message, not just first kernel
    message (Closes: #929730)
  * d/t/upstream: add TEST-30, TEST-34 to blacklist
  * d/t/timedated: replace systemctl is-active with systemctl show
  * d/t/control: root-unittests can break networking, add breaks-testbed
  * d/t/control: mark udev test skippable
  * d/t/upstream: always cleanup after (and before) each test
  * d/t/control: upstream test requires dmeventd
  * d/e/checkout-upstream: don't remove .git
  * d/e/checkout-upstream: move change to debian/ files above other changes
  * d/e/checkout-upstream: add UPSTREAM_KEEP_CHANGELOG param
  * d/e/checkout-upstream: create git commits for each change
  * d/e/checkout-upstream: switch from 'quilt' to 'native' format
  * d/e/checkout-upstream: set user.name, user.email if unset
  * d/t/storage: change plaintext_name to include testname
  * d/t/storage: increase wait for plaintext_dev from 5 to 30 seconds
  * d/t/storage: wait for service to start, only stop if active
  * d/t/storage: don't search for 'scsi_debug' in ask_password
  * d/t/storage: manage scsi_debug using add_hosts (Closes: #929728)
  * d/t/storage: use short timeout waiting for scsi_debug block dev to appear
  * d/t/storage: convert password agent into normal Thread
  * d/t/storage: fail if socket info not in ask_password contents
  * d/t/boot-smoke: pass failure reason to fail() to print instead of separate
    echo
  * d/t/boot-smoke: in fail() set +e so errors are ignored while gathering
    data
  * d/t/boot-smoke: gather still running jobs in fail()
  * d/t/boot-smoke: wait for is-system-running
  * d/t/boot-smoke: call fail if pidof polkitd fails
  * d/t/boot-smoke: remove check for running jobs

  [ Michael Biebl ]


=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 10.4~),
               pkg-config,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               meson (>= 0.49),
               gettext,
               gperf,
               gnu-efi [amd64 i386 arm64],
               libcap-dev (>= 1:2.24-9~),
               libpam0g-dev,
               libapparmor-dev (>= 2.9.0-3+exp2) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck>,
               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 0.0~r125),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-gnutls-dev <!stage1> | libcurl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libgnutls28-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-lxml:native,
               python3-pyparsing <!nocheck>,
               python3-evdev <!nocheck>,
               tzdata <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Recommends: libpam-systemd,
            dbus
Suggests: systemd-container,
          policykit-1
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         util-linux (>= 2.27.1),
         mount (>= 2.26),
         adduser,
Conflicts: consolekit,
           libpam-ck-connector,
Breaks: systemd-shim (<< 10-4~),
        python-dbusmock (<< 0.18),
        python3-dbusmock (<< 0.18),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/bin/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Conflicts: sysvinit-core,
           upstart (<< 1.13.2-0ubuntu10~),
           file-rc,
           systemd-shim,
Replaces: sysvinit-core,
          upstart (<< 1.13.2-0ubuntu10~),
Pre-Depends: systemd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libnss-systemd
Description: system and service manager - SysV links
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         dbus
Recommends: btrfs-progs,
            libnss-mymachines,
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         adduser
Breaks: systemd (<< 239-6)
Replaces: systemd (<< 239-6)
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-tests
Architecture: linux-any
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime (>= 1.0.1-6),
         dbus,
         systemd-sysv
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: systemd utility library
 The libsystemd0 library provides interfaces to various systemd components.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 The libsystemd0 library provides interfaces to various systemd components.
 .
 This package contains the development files.

Package: udev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         dpkg (>= 1.19.3) | systemd-sysv,
         libudev1 (= ${binary:Version}),
         util-linux (>= 2.27.1),
         s390-tools (>> 1.6.2) [s390],
Conflicts: hal
Breaks: systemd (<< 233-4),
Replaces: systemd (<< 233-4)
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libudev1
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.

Package: libudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1 (= ${binary:Version})

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO =
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

ifneq (, $(filter $(DEB_BUILD_ARCH), riscv64))
    TEST_TIMEOUT_MULTIPLIER = "-t 10"
endif

# fail on missing files and symbols changes on distro builds, but not if we
# build/test upstream master
ifeq ($(TEST_UPSTREAM),)
    DH_MISSING = --fail-missing
    GENSYMBOLS_LEVEL = 4
else
    DH_MISSING = --list-missing
    GENSYMBOLS_LEVEL = 1
endif

ifneq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
export DEB_BUILD_PROFILES += noudeb
endif

CONFFLAGS = \
	-Db_lto=true \
	-Db_pie=true \
	-Drootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	-Dsplit-usr=true \
	-Dversion-tag="$(DEB_VERSION)" \
	-Dquotaon-path=/sbin/quotaon \
	-Dquotacheck-path=/sbin/quotacheck \
	-Dkmod-path=/bin/kmod \
	-Dkexec-path=/sbin/kexec \
	-Dsulogin-path=/sbin/sulogin \
	-Dmount-path=/bin/mount \
	-Dumount-path=/bin/umount \
	-Dloadkeys-path=/bin/loadkeys \
	-Dsetfont-path=/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dtelinit-path=/lib/sysvinit/telinit \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Ddebug-shell=/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Dpamconfdir=no \
	-Drpmmacrosdir=no \
	-Dqrencode=false \
	-Dvconsole=false \
	-Dfirstboot=false \
	-Dxkbcommon=false \
	-Dwheel-group=false \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Ddns-servers='' \
	-Dlink-udev-shared=false \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Dbump-proc-sys-fs-nr-open=false \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660

# resolved's DNSSEC support is still not mature enough, don't enable it by
# default on stable Debian or any Ubuntu releases
CONFFLAGS += $(shell grep -qE 'stretch|ubuntu' /etc/os-release && echo -Ddefault-dnssec=no)

CONFFLAGS_deb = \
	-Dselinux=true \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=true \
	-Defi=true \
	-Dman=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=true \
	-Dnss-resolve=true \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dlink-systemctl-shared=false

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS_deb += \
	-Daudit=true \
	-Dlibcryptsetup=true \
	-Dcoredump=true \
	-Delfutils=true \
	-Dapparmor=true \
	-Dlibidn2=true \
	-Dlibiptc=true \
	-Dlibcurl=true \
	-Dimportd=true \
	-Dmicrohttpd=true \
	-Dgnutls=true \
	-Dpcre2=true
else
CONFFLAGS_deb += \
	-Daudit=false \
	-Dlibcryptsetup=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dgnutls=false \
	-Dpcre2=false
endif

CONFFLAGS_udeb = \
	-Dlibcryptsetup=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dpam=false \
	-Daudit=false \
	-Dselinux=false\
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dsmack=false \
	-Dima=false \
	-Dbinfmt=false \
	-Dquotacheck=false \
	-Dtmpfiles=false \
	-Drandomseed=false \
	-Dbacklight=false \
	-Dlogind=false \
	-Dmachined=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dgnutls=false \
	-Dhostnamed=false \
	-Dtimedated=false \
	-Dnetworkd=false \
	-Dtimesyncd=false \
	-Dlocaled=false \
	-Dnss-myhostname=false \
	-Dnss-mymachines=false \
	-Dnss-resolve=false \
	-Dnss-systemd=false \
	-Dresolve=false \
	-Dportabled=false \
	-Dpolkit=false \
	-Dacl=false \
	-Dgcrypt=false \
	-Drfkill=false \
	-Dhwdb=false \
	-Dman=false \
	-Defi=false \
	-Dseccomp=false \
	-Dsysusers=false \
	-Dpcre2=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_deb) $(CONFFLAGS_UPSTREAM)
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_udeb) $(CONFFLAGS_UPSTREAM)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build-udeb
endif
	# generate POT file for translators
	ninja -C build-deb/ systemd-pot

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb
endif
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/install/deb/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	find debian/install/deb/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'

override_dh_auto_clean:
ifneq (, $(TEST_UPSTREAM))
	debian/extra/checkout-upstream
endif
	dh_auto_clean --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_clean --builddirectory=build-udeb
endif
	rm -rf debian/install/ debian/shlibs.local
	# remove Python byte code files
	rm -rf tools/__pycache__/
	rm -f po/systemd.pot

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/lib/sysctl.d/50-default.conf
	rm -f debian/install/*/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
	rmdir -p --ignore-fail-on-non-empty debian/install/*/etc/X11/xinit/xinitrc.d/
	# remove files related to factory-reset feature
	find debian/install/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-udev-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -delete
	rm -rf debian/install/*/usr/share/factory/
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	debian/extra/make-sysusers-basic > debian/install/deb/usr/lib/sysusers.d/basic.conf
	# remove resolvconf compat symlink
	rm -f debian/install/*/sbin/resolvconf
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
endif

	dh_install --remaining-packages --sourcedir=debian/install/deb

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

	# files shipped by cryptsetup
ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
	rm debian/systemd/usr/share/man/man5/crypttab.5
endif

	# files shipped by systemd
	rm debian/udev/lib/udev/rules.d/70-uaccess.rules
	rm debian/udev/lib/udev/rules.d/73-seat-late.rules
	rm debian/udev/lib/udev/rules.d/71-seat.rules
	rm debian/udev/lib/udev/rules.d/99-systemd.rules

	# remove duplicate files shipped by systemd-*/udev
	echo "Removing duplicate files in systemd package:"
	set -e; for pkg in $(shell dh_listpackages -Nudev-udeb -Nlibudev1-udeb -Nsystemd); do \
		echo "... from $$pkg..."; \
		(cd debian/$$pkg; find -type f -o -type l) | (cd debian/systemd; xargs rm -f --verbose); \
		(cd debian/$$pkg; find -mindepth 1 -type d | sort -r) | (cd debian/systemd; xargs rmdir --ignore-fail-on-non-empty --verbose || true); \
	done

	# Ubuntu specific files
ifeq ($(DEB_VENDOR),Ubuntu)
	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py

## systemd 244

=== debian/changelog ===
systemd (244-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Michael Biebl <biebl@debian.org>  Sun, 29 Dec 2019 20:04:33 +0100

systemd (244-3) unstable; urgency=medium

  * Update udev-udeb to use 73-usb-net-by-mac.link

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Dec 2019 23:44:52 +0100

systemd (244-2) unstable; urgency=medium

  * Add lintian override for udev.
    60-autosuspend-chromiumos.rules triggers a udev-rule-missing-subsystem
    warning. This is a false positive, as SUBSYSTEM is tested at the
    beginning of the rules file.
  * Add lintian override for systemd-container
    systemd-nspawn@.service triggers a
    systemd-service-file-refers-to-unusual-wantedby-target warning but
    nspawn containers are supposed to be started via machines.target.
  * Make it easier to override MAC based name policy for USB network adapters.
    Replace 73-usb-net-by-mac.rules with 73-usb-net-by-mac.link. The .link
    file provides the same functionality but makes it easier to set a custom
    name for USB network adapters via the systemd.link mechanism.
    Thanks to Benjamin Poirier (Closes: #941636)
  * Move libpam-systemd Recommends from systemd to systemd-sysv.
    libpam-systemd is only really useful if systemd is PID 1 and the systemd
    package should be installable without affecting another installed init
    system. (Closes: #926316)
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Dec 2019 17:57:55 +0100

systemd (244-1) experimental; urgency=medium

  * New upstream version 244
    - udev: do not propagate error when executing PROGRAM and IMPORT{program}
      (Closes: #944675)
    - sd-event: don't invalidate source type on disconnect
      (Closes: #945332)
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 30 Nov 2019 16:39:57 +0100

systemd (243-9) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * resolved: fix connection failures with TLS 1.3 and GnuTLS (Closes: #945507)

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Nov 2019 21:33:19 +0100

systemd (243-8) unstable; urgency=medium

  * udevadm: ignore EROFS and return earlier.
    Fixes failures of "udevadm trigger" in containers with a readonly /sys.
    (Closes: #944860)
  * udev: silence warning about PROGRAM+= or IMPORT+= rules (Closes: #944917)
  * man: add entry about SpeedMeter= (Closes: #944597)
  * udev: drop SystemCallArchitectures=native from systemd-udevd.service.
    We can't really control what helper programs are run from other udev
    rules. E.g. running i386 binaries under amd64 is a valid use case and
    should not trigger a SIGSYS failure. (Closes: #869719)

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Nov 2019 09:17:12 +0100

systemd (243-7) unstable; urgency=medium

  * Fix build failure on arm64 with libseccomp >= 2.4.2

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Nov 2019 22:01:17 +0100

systemd (243-6) unstable; urgency=medium

  * Revert "sysusers: properly mark generated accounts as locked"
    We shouldn't lock the accounts because people actually need to use them, and
    if they are locked, various tools will refuse.
  * udev: ignore error caused by device disconnection.
    During an add or change event, the device may be disconnected.
    (Closes: #944586)
  * udev: do not append newline when writing attributes

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Nov 2019 14:09:49 +0100

systemd (243-5) unstable; urgency=medium

  * Switch default hierarchy (back) to hybrid.
    Since v243, the new upstream default is unified, but this still causes
    regressions in important packages, like LXC or Docker, so switch the
    default back to hybrid for now.
  * Drop masks for SysV init scripts that have been dropped
  * Drop masks for SysV init scripts provided by initscripts and bootlogd
  * logind: fix emission of PropertiesChanged signal for users and seats
  * Bump Standards Version to 4.4.1
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Nov 2019 00:58:41 +0100

systemd (243-4) experimental; urgency=medium

   * Merge changes from unstable branch

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Nov 2019 01:15:08 +0100

systemd (243-3) experimental; urgency=medium

  * Import patches from v243-stable branch (up to ef677436aa)

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Oct 2019 15:26:01 +0200

systemd (243-2) experimental; urgency=medium

  * Import patches from v243-stable branch (up to fab6f010ac)

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Sep 2019 12:46:02 +0200

systemd (243-1) experimental; urgency=medium

  * New upstream version 243
  * Merge changes from unstable branch

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Sep 2019 01:21:49 +0200

systemd (243~rc2-1) experimental; urgency=medium

  * New upstream version 243~rc2
    - man: document that "systemd-analyze blame/critical-chain" is not useful
      to track down job latency. (Closes: #920234)
    - systemctl: process all units matched by a glob in the cat verb by
      default. (Closes: #904913)
    - units: automatically revert to /run logging on shutdown if necessary.
      Prevents /var staying busy on shutdown due to journald.
      (Closes: #851402)
    - bash-completion: don't sort syslog priorities. (Closes: #913222)
    - man: add example for setting multiple properties at once.
      (Closes: #807464)
  * Rebase patches
  * Update symbols file for libsystemd0
  * core: stop removing non-existent and duplicate lookup paths
  * Install static-nodes-permissions.conf tmpfile in udev

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Aug 2019 00:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Felipe Sateler <fsateler@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
@@ -63,8 +63,7 @@
 Multi-Arch: foreign
 Section: admin
 Priority: important
-Recommends: libpam-systemd,
-            dbus
+Recommends: dbus
 Suggests: systemd-container,
           policykit-1
 Pre-Depends: ${shlibs:Pre-Depends},
@@ -107,7 +106,8 @@
 Pre-Depends: systemd
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: libnss-systemd
+Recommends: libpam-systemd,
+            libnss-systemd
 Description: system and service manager - SysV links
  systemd is a system and service manager for Linux. It provides aggressive
  parallelization capabilities, uses socket and D-Bus activation for starting

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
 	-Dsupport-url=$(SUPPORT_URL) \
 	-Ddefault-kill-user-processes=false \
+	-Ddefault-hierarchy=hybrid \
 	-Dpamconfdir=no \
 	-Drpmmacrosdir=no \
 	-Dqrencode=false \
@@ -262,4 +263,3 @@
 
 	# Ubuntu specific files
 ifeq ($(DEB_VENDOR),Ubuntu)
-	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
